BoundsChecking File Reference
`#include <osg/Notify>`

Go to the source code of this file.

## Namespaces

namespace | osg

## Macros

#define | OSG_BOUNDSCHECKING 1

## Functions

template<typename T>
void | osg::clampGEQUAL (T &value, const T minValue, const char *valueName)
template<typename T>
void | osg::clampLEQUAL (T &value, const T maxValue, const char *valueName)
template<typename T>
void | osg::clampBetweenRange (T &value, const T minValue, const T maxValue, const char *valueName)
template<typename A, typename T>
void | osg::clampArrayElementGEQUAL (A &value, unsigned int i, const T minValue, const char *valueName)
template<typename A, typename T>
void | osg::clampArrayElementLEQUAL (A &value, unsigned int i, const T maxValue, const char *valueName)
template<typename A, typename T>
void | osg::clampArrayElementBetweenRange (A &value, unsigned int i, const T minValue, const T maxValue, const char *valueName)
template<typename A, typename T>
void | osg::clampArrayElementsGEQUAL (A &value, unsigned int first, unsigned int last, const T minValue, const char *valueName)
template<typename A, typename T>
void | osg::clampArrayElementsLEQUAL (A &value, unsigned int first, unsigned int last, const T maxValue, const char *valueName)
template<typename A, typename T>
void | osg::clampArrayElementsBetweenRange (A &value, unsigned int first, unsigned int last, const T minValue, const T maxValue, const char *valueName)
template<typename A, typename T>
void | osg::clampArray3GEQUAL (A &value, const T minValue, const char *valueName)
template<typename A, typename T>
void | osg::clampArray3LEQUAL (A &value, const T maxValue, const char *valueName)
template<typename A, typename T>
void | osg::clampArray3BetweenRange (A &value, const T minValue, const T maxValue, const char *valueName)
template<typename A, typename T>
void | osg::clampArray4GEQUAL (A &value, const T minValue, const char *valueName)
template<typename A, typename T>
void | osg::clampArray4LEQUAL (A &value, const T maxValue, const char *valueName)
template<typename A, typename T>
void | osg::clampArray4BetweenRange (A &value, const T minValue, const T maxValue, const char *valueName)

## Macro Definition Documentation

## OSG_BOUNDSCHECKING

#define OSG_BOUNDSCHECKING 1